New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Compatibility with postcss-nested #37

Closed
timkelty opened this Issue Apr 14, 2015 · 2 comments

Comments

Projects
None yet
2 participants
@timkelty

timkelty commented Apr 14, 2015

I'm using https://github.com/postcss/postcss-nested

Rules like the following will fail:

/** @define Component */

.Component {
  color: blue;

  &.is-active {
    color: red;
  }
}

Any chance for adding compatibility?

@MoOx

This comment has been minimized.

Show comment
Hide comment
@MoOx

MoOx Apr 15, 2015

Member

Why don't you just add you invalid css plugin before the linter ?
That might solve the problem.

Member

MoOx commented Apr 15, 2015

Why don't you just add you invalid css plugin before the linter ?
That might solve the problem.

@timkelty

This comment has been minimized.

Show comment
Hide comment
@timkelty

timkelty Apr 15, 2015

Of course! Not sure why I didn't think of that.
Thanks @MoOx

timkelty commented Apr 15, 2015

Of course! Not sure why I didn't think of that.
Thanks @MoOx

@timkelty timkelty closed this Apr 15, 2015

@MoOx MoOx referenced this issue Apr 15, 2015

Open

Event based API #296

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment